Skip to navigation

Payment Status Inquiry Enhanced

View as Markdown

This API returns details of your transactions for both Incoming and Outgoing payments based on specified parameters.

<font size=‘2’>Content-Type : Supports application/json.

Authentication

AuthorizationBearer

All CitiConnect APIs use the oAuth2 authentication scheme, which requires a bearer token to authenticate your API call. The Token URL includes the version of authentication used by this API. See the Citi Authentication API reference for information on requesting a token.

Headers

AuthorizationstringRequired
Oauth token used to authenticate the user. This token is short lived, so make sure valid token used.
AcceptstringRequired

This header represents the format in which the response output is needed. I.e. Input will be application/json;format=PSRJ03

Query parameters

client_idstringRequired

This is your unique identifier shared during your CitiConnect API onboarding. This is the same client_id used for oauth token generation

Request

This endpoint expects an object.
uetrstringOptionalformat: "[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"1-105 characters

Input UETR number. Unique EndtoEnd Transaction Reference identification assigned by the initiating party or payment processing bank to uniquely identify the transaction. 36 characters, made up to 32 hexadecimal characters, shown in five parts divided by hyphens/dashes as follows - xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx. Please provide either of uetr or end_to_end_identification.

end_to_end_identificationstringOptional1-35 characters

Unique identification assigned by the initiating party to clearly identify the transaction. This Identification is passed on, unchanged, throughout the entire end-to-end chain. Please provide either of uetr or end_to_end_identification.

transaction_flow_indicatorstringOptional
This value indicates whether the transaction is a Credit or debit with the values CR or DR respectively. For Debit Transaction inquiry, this input is not required as by default Sytem will consider the query to be Debit. However for Credit Transaction inquiry this must be inputted as CR. Debit account number should be specified for outgoing transaction.Credit account number should be specified for incoming transaction

Response

OK. successful operation response
created_date_timestringformat: "^(?:[1-9]\d{3}-(?:(?:0[1-9]|1[0-2])-(?:0[1-9]|1\d|2[0-8])|(?:0[13-9]|1[0-2])-(?:29|30)|(?:0[13578]|1[02])-31)|(?:[1-9]\d(?:0[48]|[2468][048]|[13579][26])|(?:[2468][048]|[13579][26])00)-02-29)T(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.[0-9]+)?(?:Z|[+-][01]\d:[0-5]\d)?$"

Date & time(format YYYY-MM-DDThh:mm:ss.sssZ) when this particular of transaction status is captured. A particular point in the progression of time defined by a mandatory date and a mandatory time component, expressed in either UTC time format (YYYY-MM-DDThh:mm:ss.sssZ), local time with UTC offset format (YYYY-MM-DDThh:mm:ss.sss+/-hh:mm), or local time format (YYYY-MM-DDThh:mm:ss.sss). These representations are defined in “XML Schema Part 2: Datatypes Second Edition - W3C Recommendation 28 October 2004” which is aligned with ISO 8601. Note on the time format:

  1. beginning / end of calendar day 00:00:00 = the beginning of a calendar day 24:00:00 = the end of a calendar day
  2. fractions of second in time format Decimal fractions of seconds may be included. In this case, the involved parties shall agree on the maximum number of digits that are allowed.
transactionslist of objectsOptional
Information about a each transaction. It is repeated as many times as there are transactions to be returned.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
405
Method Not Allowed Error
415
Unsupported Media Type Error
429
Too Many Requests Error
500
Internal Server Error
503
Service Unavailable Error
504
Gateway Timeout Error